Subject: Re: bug#10966: Fixes for persian/Farsi Input Methods -- leim/quail/persian.el
From: Eli Zaretskii <[email-masked]>
To: Mohsen BANAN <[email-masked]>
Cc: [email-masked]
Date: Fri, 09 Mar 2012 14:23:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Mohsen BANAN <[email-masked]>
> Date: Wed, 07 Mar 2012 15:56:35 -0800
> 
> Attached are a numbers of bug fixes for
> leim/quail/persian.el (emacs 24.0.94) as a context
> diff.
> 
> The fixes include:
> 
>    - Full compliance to ISIRI-6219. Forbiden
>      characters were eliminated and missing 
>      characters were added.
> 
>    - Layer 3 of ISIRI-9147 is now implemented 
>      with a '\' prefix.
> 
>    - Double entry of characters which were
>      postfixed with 'h' is now supported.
> 
>    - Lots of comment and additional pointers have
>      been added.
> 
> Please apply this context diff.

Thanks, I installed this.

Please note that the diffs were probably generated from some old copy
of the file, not from the one that came with 24.0.94, because the
Copyright line did not include 2012.  I fixed that.

I also fixed a few comments that were way wider than 80 columns, and
enclosed the keyboard layout in the comments in a left-to-right
override embedding, to prevent reordering by the display engine.
After I did that, it turned out the mirrored characters in the layout
need to be manually mirrored, so I did that as well.

The result is available as bzr revision 107539 on the trunk.

I'm closing this bug report.

Thank you for your contribution.